Show / Hide Table of Contents

# Class Game

A user's game status.

##### Inheritance

System.Object
Game
CustomStatusGame
RichGame
SpotifyGame
StreamingGame

##### Implements

IActivity

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class Game : IActivity

### Constructors

| Improve this Doc View Source

#### Game(String, ActivityType, ActivityProperties, String)

Creates a Game with the provided name and ActivityType.

##### Declaration

    public Game(string name, ActivityType type = ActivityType.Playing, ActivityProperties flags = ActivityProperties.None, string details = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | The name of the game.
ActivityType | type | The type of activity.
ActivityProperties | flags |
System.String | details |

### Properties

| Improve this Doc View Source

#### Details

Gets the details on what the player is currently doing.

##### Declaration

    public string Details { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string describing what the player is doing.

| Improve this Doc View Source

#### Flags

Gets the flags that are relevant to this activity.

##### Declaration

    public ActivityProperties Flags { get; }

##### Property Value

Type | Description
--- | ---
ActivityProperties | The value of flags for this activity.

##### Remarks

This value is determined by bitwise OR-ing ActivityProperties values together.

| Improve this Doc View Source

#### Name

Gets the name of the activity.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of the activity that the user is doing.

| Improve this Doc View Source

#### Type

Gets the type of the activity.

##### Declaration

    public ActivityType Type { get; }

##### Property Value

Type | Description
--- | ---
ActivityType | The type of activity.

### Methods

| Improve this Doc View Source

#### ToString()

Returns the name of the Game.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

### Implements

IActivity